package com.ruoyi.web.v2.service;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.entity.JsEnvCheckProject;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 2.0检验项目管理 服务类
 * </p>
 *
 * @author author
 * @since 2025-11-14
 */
public interface IJsEnvCheckProjectService extends IService<JsEnvCheckProject> {

    AjaxResult add(JsEnvCheckProject checkProject) throws JsonProcessingException;

    AjaxResult edit(JsEnvCheckProject checkProject) throws JsonProcessingException;

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String projectName);

    AjaxResult listAll();

}
